mscorlib 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.All)

Apply the attribute to any application element to indicate that the element is generated by a compiler.

Use the attribute to determine whether an element is added by a compiler or authored directly in source code.

This attribute allows SQL server to reference compiler-generated static values.

Distinguishes a compiler-generated element from a user-generated element. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.